/*
 * Copyright (c) 2010-2024. Institut Pasteur.
 *
 * This file is part of Icy.
 * Icy is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Icy is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Icy. If not, see <https://www.gnu.org/licenses/>.
 */

package plugins.tprovoost.sequenceblocks.infos;

import org.bioimageanalysis.icy.model.colormap.IcyColorMap;
import plugins.adufour.ezplug.EzVar;
import plugins.tprovoost.sequenceblocks.infos.VarColormap.ColormapSelectionModel;

public class EzVarColormap extends EzVar<IcyColorMap> {
    /**
     * Constructs a new variable that handles colormap data.
     *
     * @param varName      the parameter name
     * @param defaultValue IcyColorMap
     */
    public EzVarColormap(final String varName, final IcyColorMap defaultValue) {
        super(new VarColormap(varName, defaultValue), new ColormapSelectionModel());
    }
}
